// $Id: User.java,v 1.1 2005/01/10 20:04:01 jwalter Exp $
package net.jsa;

import java.util.Collection;
import java.util.Date;
import java.util.Vector;

/**
 * @version $Revision: 1.1 $ $Date: 2005/01/10 20:04:01 $
 * @author Joakim Waltersson
 */
public class User {
    public static final int STATUS_UNKNOWN = 0;
    public static final int STATUS_OFFLINE = 1;
    public static final int STATUS_ONLINE = 2;
    public static final int STATUS_AWAY = 3;
    public static final int STATUS_NA = 4;
    public static final int STATUS_DND = 5;
    public static final int STATUS_SKYPEOUT =6;
    public static final int STATUS_SKYPEME = 7;
    
    public static final int SEX_UNKNOWN = 0;
    public static final int SEX_MALE = 1;
    public static final int SEX_FEMALE = 2;
    
    /* Never been in contact list */
    public static final int BUDDYSTATUS_NEVER = 0;
    /* Deleted from contact list */
    public static final int BUDDYSTATUS_DELETED = 1;
    /* Pending authorisation */
    public static final int BUDDYSTATUS_PENDING = 2;
    /* Added to contact list */
    public static final int BUDDYSTATUS_ADDED = 3;


    
    private int status;
    private String handle;
    private String fullName;
    private String displayName;
    private Date birthday;
    private int sex;
    private String language;
    private String country;
    private String province;
    private String city;
    private String phoneHome;
    private String phoneOffice;
    private String phoneMobile;
    private String homepage;
    private String about;
    private boolean hasCallerEquipment;
    private int buddyStatus;
    private boolean authorized;
    private boolean blocked;
    
    public Collection getCalls() {
        return new Vector();
    }
    public Collection getMessages() {
        return new Vector();
    }
}
