package net.jsa.client.swt;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;

import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;

import com.cloudgarden.resource.SWTResourceManager;

/**
* This code was generated using CloudGarden's Jigloo
* SWT/Swing GUI Builder, which is free for non-commercial
* use. If Jigloo is being used commercially (ie, by a corporation,
* company or business for any purpose whatever) then you
* should purchase a license for each developer using Jigloo.
* Please visit www.cloudgarden.com for details.
* Use of Jigloo implies acceptance of these licensing terms.
* *************************************
* A COMMERCIAL LICENSE HAS NOT BEEN PURCHASED
* for this machine, so Jigloo or this code cannot be used legally
* for any corporate or commercial purpose.
* *************************************
*/
public class HistoryItem extends org.eclipse.swt.widgets.Composite {

    {
        //Register as a resource user - SWTResourceManager will
        //handle the obtaining and disposing of resources
        SWTResourceManager.registerResourceUser(this);
    }

	private Composite timeStamp;
	private Composite messageBody;
	private Label timeStampLabel;
	private Label messageBodyLabel;
    private Date timeStampObj;
    private String message;
    private boolean dimmed;

	public HistoryItem(org.eclipse.swt.widgets.Composite parent, int style,
            Date timeStampObj, String message, boolean dimmed) {
		super(parent, style);
        this.timeStampObj = timeStampObj;
        this.message = message;
        this.dimmed = dimmed;
		initGUI();
	}

	private void initGUI() {
		try {
			GridLayout thisLayout = new GridLayout();
			this.setLayout(thisLayout);
			thisLayout.horizontalSpacing = 0;
			thisLayout.marginHeight = 0;
			thisLayout.marginWidth = 0;
			thisLayout.verticalSpacing = 0;
			this.setBackground(SWTResourceManager.getColor(255, 255, 255));
            {
                timeStamp = new Composite(this, SWT.NONE);
                GridLayout composite1Layout = new GridLayout();
                composite1Layout.makeColumnsEqualWidth = true;
                GridData composite1LData = new GridData();
                timeStamp.setLayout(composite1Layout);
                composite1LData.verticalAlignment = GridData.BEGINNING;
                composite1LData.horizontalAlignment = GridData.FILL;
                composite1LData.heightHint = 15;
                composite1LData.grabExcessHorizontalSpace = true;
                timeStamp.setLayoutData(composite1LData);
                {
                    timeStampLabel = new Label(timeStamp, SWT.NONE);
                    timeStampLabel.setText(format(timeStampObj));
                    GridData timeStampLabelLData = new GridData();
                    if (dimmed) {
                        timeStampLabel.setForeground(SWTResourceManager.getColor(128, 128, 128));
                    }
                    timeStampLabel.setFont(SWTResourceManager.getFont("Tahoma", 8, 1, false, false));
                    timeStampLabelLData.grabExcessHorizontalSpace = true;
                    timeStampLabelLData.grabExcessVerticalSpace = true;
                    timeStampLabel.setLayoutData(timeStampLabelLData);
                }
            }
            {
                messageBody = new Composite(this, SWT.NONE);
                GridLayout composite1Layout1 = new GridLayout();
                composite1Layout1.makeColumnsEqualWidth = true;
                GridData composite1LData1 = new GridData();
                messageBody.setBackground(SWTResourceManager.getColor(255, 255, 255));
                messageBody.setLayout(composite1Layout1);
                composite1LData1.verticalAlignment = GridData.END;
                composite1LData1.horizontalAlignment = GridData.FILL;
                messageBody.setLayoutData(composite1LData1);
                {
                    messageBodyLabel = new Label(messageBody, SWT.NONE);
                    messageBodyLabel.setText(message);
                    messageBodyLabel.setBackground(SWTResourceManager.getColor(255, 255, 255));
                    GridData messageBodyLabelLData = new GridData();
                    if (dimmed) {
                        messageBodyLabel.setForeground(SWTResourceManager.getColor(128, 128, 128));
                    }
                    messageBodyLabelLData.verticalAlignment = GridData.BEGINNING;
                    messageBodyLabelLData.grabExcessHorizontalSpace = true;
                    messageBodyLabelLData.grabExcessVerticalSpace = true;
                    messageBodyLabel.setLayoutData(messageBodyLabelLData);
                }
            }
			this.layout();
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

    /**
     * @param timeStampObj2
     * @return
     */
    private String format(Date timeStampObj) {
        // TODO Auto-generated method stub
        DateFormat df = new SimpleDateFormat("h:mm");
        return df.format(timeStampObj);
    }

}
